<?php
namespace FiloBlu\Refilo\Mode\DTO;

use Magento\Framework\DataObject;
use Magento\Framework\Module\Manager;

/**
 * Class HrefConfigResolver
 * @package FiloBlu\Refilo\Mode\DTO
 */
class HrefConfigResolver implements ResolverInterface {
    /**
     * @var Manager
     */
    private $manager;


    /**
     * HrefConfigResolver constructor.
     * @param Manager $manager
     */
    public function __construct(Manager $manager){

        $this->manager = $manager;
    }

    public function canApply()
    {
        $this->manager->isEnabled('Magework_seo_base');
    }


    public function getDefault(){
        if(!$this->canApply()) {
            return new DataObject([]);
        }




    }
}
